Resolve, reopen or edit a comment
PATCH
/api/orgs/{org}/projects/{project}/comments/{id}
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/comments/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"branch":"example","status":"open","body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.wrktr.com/api/orgs/example/projects/example/comments/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "branch": "example", "status": "open", "body": "example" }'A thread whose review was dismissed can’t be reopened (Forbidden): start a new comment instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Comment
Media typeapplication/json
object
id
required
string
branch
required
string
path
required
string
anchorSha
required
string
lineText
required
string
body
required
string
author
required
string
authorKind
required
string
status
required
string
Example
{ "line": "Infinity", "authorKind": "human", "status": "open", "createdAt": "Infinity", "updatedAt": "Infinity", "severity": "blocker"}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}Forbidden
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Forbidden"}ProjectNotFound | BranchNotFound | CommentNotFound